> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Metrics

> Retrieve performance and growth metrics for a segment (Beta).

Retrieve aggregated delivery, open, and click rates for emails sent to contacts within this segment.

> **Beta Feature**: Segment metrics are currently in active preview and subject to schema improvements.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the segment.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="totalContacts" type="number">Total members in segment.</ResponseField>
  <ResponseField name="activeContacts" type="number">Number of actively engaged contacts.</ResponseField>
  <ResponseField name="openRate" type="number">Average open percentage across recent campaigns.</ResponseField>
  <ResponseField name="clickRate" type="number">Average click-through percentage.</ResponseField>
  <ResponseField name="bounceRate" type="number">Bounce percentage.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.mailofly.com/api/v1/segments/seg_123/metrics \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "totalContacts": 142,
      "activeContacts": 118,
      "openRate": 48.6,
      "clickRate": 12.3,
      "bounceRate": 0.4
    }
  }
  ```
</ResponseExample>


## Related topics

- [Retrieve Metrics](/api/emails/retrieve-metrics.md)
- [Retrieve Usage](/api/usage/retrieve-usage.md)
- [List Clicked Links](/api/campaigns/list-clicked-links.md)
- [MCP Tools Reference](/mcp-server/tools.md)
- [Open Rates Not Accurate](/guides/deliverability/open-rates-not-accurate.md)
